<div class="input-icons-list-toggle" ...attributes {{did-insert this.setup}} {{did-update this.updateList @value @list}}>
  {{#each this.list as |element|}}
    <button type="button" class="btn icon-element {{if element.isSelected 'is-selected'}}" {{on "click" (fn this.toggle element.icon)}}>
      <div class="img-container">
        <img src={{element.icon.image.value}} title={{element.icon.localName}} alt={{element.icon.localName}} />
      </div>

      <div class="icon-name" data-toggle="tooltip" data-placement="bottom" title={{element.icon.localName}}>{{element.icon.localName}}</div>

      <div class="selection-container">
        <FaIcon @icon="check" />
      </div>
    </button>
  {{/each}}
</div>